## START: Set by rpmautospec
## (rpmautospec version 0.2.5)
%define autorelease(e:s:pb:) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{?dist}
## END: Set by rpmautospec

# Generated by rust2rpm 18
# Float_to_int go infinite on s390x on fedora 33
# https://gitlab.com/tspiteri/az/-/issues/1
%ifarch s390x
%bcond_with check
%else
%bcond_without check
%endif
%global debug_package %{nil}

%global crate az

Name:           rust-%{crate}
Version:        1.1.2
Release:        %autorelease
Summary:        Casts and checked casts

# Upstream license specification: MIT/Apache-2.0
License:        MIT or ASL 2.0
URL:            https://crates.io/crates/az
Source:         %{crates_source}

ExclusiveArch:  %{rust_arches}
%if %{__cargo_skip_build}
BuildArch:      noarch
%endif

BuildRequires:  rust-packaging

%global _description %{expand:
Casts and checked casts.}

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages
which use "%{crate}" crate.

%files          devel
%license LICENSE-MIT LICENSE-APACHE
%doc RELEASES.md README.md
%{cargo_registry}/%{crate}-%{version_no_tilde}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages
which use "default" feature of "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{cargo_registry}/%{crate}-%{version_no_tilde}/Cargo.toml

%package     -n %{name}+fail-on-warnings-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+fail-on-warnings-devel %{_description}

This package contains library source intended for building other packages
which use "fail-on-warnings" feature of "%{crate}" crate.

%files       -n %{name}+fail-on-warnings-devel
%ghost %{cargo_registry}/%{crate}-%{version_no_tilde}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version_no_tilde} -p1
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
%cargo_test
%endif

%changelog
* Wed Aug 25 2021 Rémi Lauzier <remilauzier@protonmail.com> 1.1.2-1
- Update to version 1.1.2; Fixes RHBZ#1996843

* Fri Jul 23 2021 Fedora Release Engineering <releng@fedoraproject.org> 1.1.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Sat Jun 19 2021 Rémi Lauzier <remilauzier@protonmail.com> - 1.1.1-1
- Initial package

